clang-tools 6.0.0

Namespaces | Typedefs | Functions | Variables
PreprocessorTracker.cpp File Reference
`#include "clang/Lex/LexDiagnostic.h"`
`#include "PreprocessorTracker.h"`
`#include "clang/Lex/MacroArgs.h"`
`#include "clang/Lex/PPCallbacks.h"`
`#include "llvm/ADT/SmallSet.h"`
`#include "llvm/Support/StringPool.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include "ModularizeUtilities.h"`
Include dependency graph for PreprocessorTracker.cpp:

Go to the source code of this file.

## Namespaces
| Modularize

## Typedefs
typedef llvm::PooledStringPtr | Modularize::StringHandle
typedef int | Modularize::HeaderHandle
typedef int | Modularize::InclusionPathHandle

## Functions
static std::string | Modularize::getSourceLocationString (clang::Preprocessor &PP, clang::SourceLocation Loc)
static std::string | Modularize::getSourceLocationFile (clang::Preprocessor &PP, clang::SourceLocation Loc)
static void | Modularize::getSourceLocationLineAndColumn (clang::Preprocessor &PP, clang::SourceLocation Loc, int &Line, int &Column)
static std::string | Modularize::getSourceString (clang::Preprocessor &PP, clang::SourceRange Range)
static std::string | Modularize::getSourceLine (clang::Preprocessor &PP, clang::SourceLocation Loc)
static std::string | Modularize::getSourceLine (clang::Preprocessor &PP, clang::FileID FileID, int Line)
static std::string | Modularize::getMacroUnexpandedString (clang::SourceRange Range, clang::Preprocessor &PP, llvm::StringRef MacroName, const clang::MacroInfo *MI)
static std::string | Modularize::getMacroExpandedString (clang::Preprocessor &PP, llvm::StringRef MacroName, const clang::MacroInfo *MI, const clang::MacroArgs *Args)

## Variables
const HeaderHandle | Modularize::HeaderHandleInvalid = -1
const InclusionPathHandle | Modularize::InclusionPathHandleInvalid = -1

## Variable Documentation

## ◆ Column

int Column

Definition at line 528 of file PreprocessorTracker.cpp.

## ◆ ConditionalExpansionInstances

std::vector<ConditionalExpansionInstance> ConditionalExpansionInstances

Definition at line 727 of file PreprocessorTracker.cpp.

## ◆ ConditionUnexpanded

StringHandle ConditionUnexpanded

Definition at line 723 of file PreprocessorTracker.cpp.

## ◆ ConditionValue

clang::PPCallbacks::ConditionValueKind ConditionValue

Definition at line 673 of file PreprocessorTracker.cpp.

## ◆ DefinitionLocation

PPItemKey DefinitionLocation

Definition at line 577 of file PreprocessorTracker.cpp.

## ◆ DefinitionSourceLine

StringHandle DefinitionSourceLine

Definition at line 579 of file PreprocessorTracker.cpp.

## ◆ DirectiveKind

clang::tok::PPKeywordKind DirectiveKind

Definition at line 721 of file PreprocessorTracker.cpp.

## ◆ File

HeaderHandle File

Definition at line 526 of file PreprocessorTracker.cpp.

Referenced by Modularize::CoverageChecker::collectUmbrellaHeaders(), Modularize::ModularizeUtilities::collectUmbrellaHeaders(), clang::tidy::readability::ConstTok(), Modularize::PreprocessorTracker::create(), Modularize::ModularizeUtilities::displayCombinedFiles(), getModularizeArgumentsAdjuster(), clang::tidy::llvm::getPriority(), clang::tidy::ClangTidyDiagnosticConsumer::HandleDiagnostic(), clang::tidy::modernize::ParseTokens(), and clang::tidy::ClangTidyContext::setCurrentFile().

## ◆ InclusionPathHandles

std::vector<InclusionPathHandle> InclusionPathHandles

Definition at line 581 of file PreprocessorTracker.cpp.

## ◆ InstanceSourceLine

StringHandle InstanceSourceLine

Definition at line 636 of file PreprocessorTracker.cpp.

## ◆ Line

int Line

Definition at line 527 of file PreprocessorTracker.cpp.

Referenced by clang::tidy::clangTidyMain(), and main().

## ◆ MacroExpanded

StringHandle MacroExpanded

Definition at line 575 of file PreprocessorTracker.cpp.

## ◆ MacroExpansionInstances

std::vector<MacroExpansionInstance> MacroExpansionInstances

Definition at line 640 of file PreprocessorTracker.cpp.

## ◆ MacroUnexpanded

StringHandle MacroUnexpanded

Definition at line 634 of file PreprocessorTracker.cpp.

## ◆ Name

StringHandle Name

Definition at line 525 of file PreprocessorTracker.cpp.

Referenced by EntityMap::add(), clang::tidy::readability::IdentifierNamingCheck::check(), clang::tidy::readability::IdentifierNamingCheck::expandMacro(), clang::tidy::readability::fixupWithCase(), clang::tidy::modernize::getContainerFromBeginEndCall(), clang::tidy::bugprone::isStandardSmartPointer(), clang::tidy::utils::options::parseStringList(), clang::tidy::ClangTidyCheckFactories::registerCheckFactory(), clang::query::LetQuery::run(), and CollectEntitiesVisitor::VisitNamedDecl().

## ◆ Path

std::vector<HeaderHandle> Path

Definition at line 538 of file PreprocessorTracker.cpp.

Referenced by PPCallbacksTracker::appendFilePathArgument(), clang::tidy::utils::cleanPath(), and clang::tidy::FileOptionsProvider::getRawOptions().